" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *child-env* *doc-url*
syn keyword tl_keyword contained *filters* *full-args* *gensym-counter* *hash-seed*
syn keyword tl_keyword contained *lib-version* *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-pprint-p* *listener-sel-inclusive-p* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *random-state* *random-warmup* *read-bad-json* *read-unknown-structs*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *struct-clause-expander*
syn keyword tl_keyword contained *trace-output* *tree-fun-whitelist* *txr-version* *unhandled-hook*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :abandoned :abs :addr
syn keyword tl_keyword contained :all :android :apf :append
syn keyword tl_keyword contained :args :atime :auto :awk-again
syn keyword tl_keyword contained :awk-file :awk-rec :begin :begin-file
syn keyword tl_keyword contained :blksize :blocks :bool :byte-oriented
syn keyword tl_keyword contained :cdigit :chars :cint :close
syn keyword tl_keyword contained :continue :counter :cspace :ctime
syn keyword tl_keyword contained :cword-char :cygnal :cygwin :dec
syn keyword tl_keyword contained :decline :delegate :dev :digit
syn keyword tl_keyword contained :downcase :end :end-file :env
syn keyword tl_keyword contained :eq-based :eql-based :equal-based :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :init :ino
syn keyword tl_keyword contained :inp :inputs :instance :into
syn keyword tl_keyword contained :key :let :lfilt :lines
syn keyword tl_keyword contained :linux :list :lists :local
syn keyword tl_keyword contained :longest :macos :mandatory :mass-delegate
syn keyword tl_keyword contained :match :maxgap :maxtimes :method
syn keyword tl_keyword contained :mid :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :noclose :nothrow :oct
syn keyword tl_keyword contained :openbsd :outf :outp :output
syn keyword tl_keyword contained :owner :perms :postinit :prio
syn keyword tl_keyword contained :rdev :real-time :reflect :repeat-spec
syn keyword tl_keyword contained :resolve :rfilt :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :static :str :string
syn keyword tl_keyword contained :symacro :symlinks :text :times
syn keyword tl_keyword contained :tlist :to_html :tobase64 :tobase64url
syn keyword tl_keyword contained :tofloat :tohtml :tohtml* :toint
syn keyword tl_keyword contained :tonumber :topercent :tourl :uid
syn keyword tl_keyword contained :unknown :upcase :use :use-from
syn keyword tl_keyword contained :use-syms :userdata :var :vars
syn keyword tl_keyword contained :weak-and :weak-keys :weak-or :weak-vals
syn keyword tl_keyword contained :whole :word-char :wrap <
syn keyword tl_keyword contained <= = > >=
syn keyword tl_keyword contained abort abs abs-path-p acons
syn keyword tl_keyword contained acons-new aconsql-new acos acosh
syn keyword tl_keyword contained add-suffix ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alet align alignof
syn keyword tl_keyword contained alist-nremove alist-remove all allocate-struct
syn keyword tl_keyword contained and andf ap apf
syn keyword tl_keyword contained append append* append-each append-each*
syn keyword tl_keyword contained append-each-prod append-each-prod* append-match-products append-matches
syn keyword tl_keyword contained apply aret array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bignum-len bignump
syn keyword tl_keyword contained bindable bit bitset blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp bracket break-str brkint
syn keyword tl_keyword contained bs0 bs1 bsdly bstr
syn keyword tl_keyword contained bstr-d bstr-s buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-compress buf-d buf-decompress
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-files cat-str cat-streams
syn keyword tl_keyword contained cat-vec catch catch* catch**
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cdaaaar cdaaadr cdaaar cdaadar
syn keyword tl_keyword contained cdaaddr cdaadr cdaar cdadaar
syn keyword tl_keyword contained cdadadr cdadar cdaddar cdadddr
syn keyword tl_keyword contained cdaddr cdadr cdar cddaaar
syn keyword tl_keyword contained cddaadr cddaar cddadar cddaddr
syn keyword tl_keyword contained cddadr cddar cdddaar cdddadr
syn keyword tl_keyword contained cdddar cddddar cdddddr cddddr
syn keyword tl_keyword contained cdddr cddr cdr ceil
syn keyword tl_keyword contained ceil-rem chain chand char
syn keyword tl_keyword contained chdir chmod chmod-rec chown
syn keyword tl_keyword contained chown-rec chr-digit chr-int chr-isalnum
syn keyword tl_keyword contained chr-isalpha chr-isascii chr-isblank chr-iscntrl
syn keyword tl_keyword contained chr-isdigit chr-isgraph chr-islower chr-isprint
syn keyword tl_keyword contained chr-ispunct chr-isspace chr-isunisp chr-isupper
syn keyword tl_keyword contained chr-isxdigit chr-num chr-str chr-str-set
syn keyword tl_keyword contained chr-tolower chr-toupper chr-xdigit chrp
syn keyword tl_keyword contained clamp clear-dirty clear-error clear-mask
syn keyword tl_keyword contained clear-struct clearhash clocal clock-t
syn keyword tl_keyword contained clockid-t close close-lazy-streams close-stream
syn keyword tl_keyword contained closedir closelog closure cmp-str
syn keyword tl_keyword contained cmspar coded-length collect-each collect-each*
syn keyword tl_keyword contained collect-each-prod collect-each-prod* comb command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp contain[s] copy copy-alist
syn keyword tl_keyword contained copy-buf copy-carray copy-cons copy-cptr
syn keyword tl_keyword contained copy-file copy-files copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec cos cosh count
syn keyword tl_keyword contained count-if count-until-match countq countql
syn keyword tl_keyword contained countqual cptr cptr-buf cptr-carray
syn keyword tl_keyword contained cptr-cast cptr-free cptr-get cptr-int
syn keyword tl_keyword contained cptr-null cptr-obj cptr-out cptr-size-hint
syn keyword tl_keyword contained cptr-type cptr-zap cptrp cr0
syn keyword tl_keyword contained cr1 cr2 cr3 crc32
syn keyword tl_keyword contained crc32-stream crdly cread crtscts
syn keyword tl_keyword contained crypt cs5 cs6 cs7
syn keyword tl_keyword contained cs8 csize cstopb cum-norm-dist
syn keyword tl_keyword contained cxr cyr daemon dec
syn keyword tl_keyword contained defer-warning defex deffi deffi-cb
syn keyword tl_keyword contained deffi-cb-unsafe deffi-struct deffi-sym deffi-type
syn keyword tl_keyword contained deffi-union deffi-var define-accessor define-modify-macro
syn keyword tl_keyword contained define-option-struct define-param-expander define-place-macro define-struct-clause
syn keyword tl_keyword contained defmacro defmatch defmeth defpackage
syn keyword tl_keyword contained defparm defparml defplace defset
syn keyword tl_keyword contained defstruct defsymacro defun defun-match
syn keyword tl_keyword contained defvar defvarl del delay
syn keyword tl_keyword contained delcons delete-package dev-t diff
syn keyword tl_keyword contained digits digpow dir-name dirstat
syn keyword tl_keyword contained disassemble display-width divides dlclose
syn keyword tl_keyword contained dlopen dlsym dlsym-checked dlvsym
syn keyword tl_keyword contained dlvsym-checked do doc dohash
syn keyword tl_keyword contained doloop doloop* dotimes double
syn keyword tl_keyword contained downcase-str drop drop-until drop-while
syn keyword tl_keyword contained dt-blk dt-chr dt-dir dt-fifo
syn keyword tl_keyword contained dt-lnk dt-reg dt-sock dt-unknown
syn keyword tl_keyword contained dump-compiled-objects dump-deferred-warnings dup dupfd
syn keyword tl_keyword contained dwim e2big eacces each
syn keyword tl_keyword contained each* each-false each-match each-match-product
syn keyword tl_keyword contained each-prod each-prod* each-true eaddrinuse
syn keyword tl_keyword contained eaddrnotavail eafnosupport eagain ealready
syn keyword tl_keyword contained ebadf ebadmsg ebusy ecanceled
syn keyword tl_keyword contained ecaseq ecaseq* ecaseql ecaseql*
syn keyword tl_keyword contained ecasequal ecasequal* echild echo
syn keyword tl_keyword contained echoctl echoe echok echoke
syn keyword tl_keyword contained echonl echoprt econnaborted econnrefused
syn keyword tl_keyword contained econnreset edeadlk edestaddrreq edom
syn keyword tl_keyword contained edquot eexist efault efbig
syn keyword tl_keyword contained ehostunreach eidrm eighth eilseq
syn keyword tl_keyword contained einprogress eintr einval eio
syn keyword tl_keyword contained eisconn eisdir elemsize elemtype
syn keyword tl_keyword contained eloop emfile emlink empty
syn keyword tl_keyword contained emsgsize emultihop enametoolong endgrent
syn keyword tl_keyword contained endp endpwent ends-with enetdown
syn keyword tl_keyword contained enetreset enetunreach enfile enobufs
syn keyword tl_keyword contained enodata enodev enoent enoexec
syn keyword tl_keyword contained enolck enolink enomem enomsg
syn keyword tl_keyword contained enoprotoopt enospc enosr enostr
syn keyword tl_keyword contained enosys enotconn enotdir enotempty
syn keyword tl_keyword contained enotrecoverable enotsock enotsup enotty
syn keyword tl_keyword contained ensure-dir enum enumed env
syn keyword tl_keyword contained env-fbind env-fbindings env-hash env-next
syn keyword tl_keyword contained env-vbind env-vbindings enxio eopnotsupp
syn keyword tl_keyword contained eoverflow eownerdead eperm epipe
syn keyword tl_keyword contained eproto eprotonosupport eprototype eq
syn keyword tl_keyword contained eql equal equot erange
syn keyword tl_keyword contained erofs errno error espipe
syn keyword tl_keyword contained esrch estale etime etimedout
syn keyword tl_keyword contained etxtbsy etypecase eval eval-only
syn keyword tl_keyword contained evenp ewouldblock exception-subtype-map exception-subtype-p
syn keyword tl_keyword contained exdev exec exit exit*
syn keyword tl_keyword contained exp expand expand* expand-left
syn keyword tl_keyword contained expand-right expand-with-free-refs expt exptmod
syn keyword tl_keyword contained extproc f$ f-dupfd f-dupfd-cloexec
syn keyword tl_keyword contained f-getfd f-getfl f-getlk f-rdlck
syn keyword tl_keyword contained f-setfd f-setfl f-setlk f-setlkw
syn keyword tl_keyword contained f-unlck f-wrlck f^ f^$
syn keyword tl_keyword contained false fboundp fcntl fd-cloexec
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-string file-get file-get-buf file-get-json
syn keyword tl_keyword contained file-get-jsons file-get-lines file-get-string file-place-buf
syn keyword tl_keyword contained file-put file-put-buf file-put-json file-put-jsons
syn keyword tl_keyword contained file-put-lines file-put-string fileno fill-buf
syn keyword tl_keyword contained fill-buf-adjust fill-carray fill-obj fill-vec
syn keyword tl_keyword contained filter-equal filter-string-tree finalize find
syn keyword tl_keyword contained find-frame find-frames find-frames-by-mask find-if
syn keyword tl_keyword contained find-max find-max-key find-min find-min-key
syn keyword tl_keyword contained find-package find-struct-type find-symbol find-symbol-fb
syn keyword tl_keyword contained find-true first fixnum-max fixnum-min
syn keyword tl_keyword contained fixnump flatcar flatcar* flatten
syn keyword tl_keyword contained flatten* flet flip flipargs
syn keyword tl_keyword contained flo-dig flo-down flo-epsilon flo-get-round-mode
syn keyword tl_keyword contained flo-int flo-max flo-max-dig flo-min
syn keyword tl_keyword contained flo-near flo-set-round-mode flo-str flo-up
syn keyword tl_keyword contained flo-zero float floatp floor
syn keyword tl_keyword contained floor-rem flow flush-stream flusho
syn keyword tl_keyword contained fmakunbound fmt fnm-casefold fnm-extmatch
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gcd gen
syn keyword tl_keyword contained gen-hash-seed generate gensym gequal
syn keyword tl_keyword contained get-buf-from-stream get-byte get-char get-clobber-expander
syn keyword tl_keyword contained get-delete-expander get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-json
syn keyword tl_keyword contained get-jsons get-line get-line-as-buf get-lines
syn keyword tl_keyword contained get-list-from-stream get-obj get-sig-handler get-stack-limit
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getrlimit getuid
syn keyword tl_keyword contained gid-t ginterate giterate glob
syn keyword tl_keyword contained glob-altdirfunc glob-brace glob-err glob-mark
syn keyword tl_keyword contained glob-nocheck glob-noescape glob-nomagic glob-nosort
syn keyword tl_keyword contained glob-onlydir glob-period glob-tilde glob-tilde-check
syn keyword tl_keyword contained go grade greater group-by
syn keyword tl_keyword contained group-map group-reduce gun handle
syn keyword tl_keyword contained handle* handler-bind hash hash-alist
syn keyword tl_keyword contained hash-begin hash-construct hash-count hash-diff
syn keyword tl_keyword contained hash-eql hash-equal hash-from-alist hash-from-pairs
syn keyword tl_keyword contained hash-invert hash-isec hash-keys hash-keys-of
syn keyword tl_keyword contained hash-list hash-next hash-pairs hash-peek
syn keyword tl_keyword contained hash-proper-subset hash-reset hash-revget hash-subset
syn keyword tl_keyword contained hash-symdiff hash-uni hash-update hash-update-1
syn keyword tl_keyword contained hash-userdata hash-values hash-zip hashp
syn keyword tl_keyword contained have hlet hlet* html-decode
syn keyword tl_keyword contained html-encode html-encode* hupcl iapply
syn keyword tl_keyword contained icanon icrnl id-t identity
syn keyword tl_keyword contained identity* ido iexten if
syn keyword tl_keyword contained if-match ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignpar ignwarn imaxbel improper-plist-to-alist
syn keyword tl_keyword contained in in-package in-range in-range*
syn keyword tl_keyword contained in6addr-any in6addr-loopback in6addr-str inaddr-any
syn keyword tl_keyword contained inaddr-loopback inaddr-str inc inc-indent
syn keyword tl_keyword contained indent-code indent-data indent-foff indent-off
syn keyword tl_keyword contained inhash inlcr ino-t inpck
syn keyword tl_keyword contained int int-buf int-carray int-chr
syn keyword tl_keyword contained int-cptr int-flo int-ptr-t int-str
syn keyword tl_keyword contained int16 int32 int64 int8
syn keyword tl_keyword contained integerp intern intern-fb interp-fun-p
syn keyword tl_keyword contained interpose intmax-t inv-cum-norm invoke-catch
syn keyword tl_keyword contained ip ipf ipproto-ip ipproto-ipv6
syn keyword tl_keyword contained ipproto-tcp ipproto-udp ipv6-join-group ipv6-leave-group
syn keyword tl_keyword contained ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops
syn keyword tl_keyword contained ipv6-v6only iread isatty isec
syn keyword tl_keyword contained isecp isig isqrt istrip
syn keyword tl_keyword contained iter-begin iter-item iter-more iter-reset
syn keyword tl_keyword contained iter-step iterable itimer-prof itimer-real
syn keyword tl_keyword contained itimer-virtual iuclc iutf8 ixany
syn keyword tl_keyword contained ixoff ixon join join-with
syn keyword tl_keyword contained json juxt keep-if keep-if*
syn keyword tl_keyword contained keep-match-products keep-matches keepq keepql
syn keyword tl_keyword contained keepqual key key-t keyword-package
syn keyword tl_keyword contained keywordp kill labels lambda
syn keyword tl_keyword contained lambda-match last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lchown lcm lcons lcons-car
syn keyword tl_keyword contained lcons-cdr lcons-fun lconsp ldiff
syn keyword tl_keyword contained ldo le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 left len length
syn keyword tl_keyword contained length-buf length-carray length-list length-str
syn keyword tl_keyword contained length-str-< length-str-<= length-str-> length-str->=
syn keyword tl_keyword contained length-vec lequal less let
syn keyword tl_keyword contained let* lexical-fun-p lexical-lisp1-binding lexical-var-p
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-carray list-seq list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained lnew* load load-for load-time
syn keyword tl_keyword contained loff-t log log-alert log-auth
syn keyword tl_keyword contained log-authpriv log-cons log-crit log-daemon
syn keyword tl_keyword contained log-debug log-emerg log-err log-info
syn keyword tl_keyword contained log-ndelay log-notice log-nowait log-odelay
syn keyword tl_keyword contained log-perror log-pid log-user log-warning
syn keyword tl_keyword contained log10 log2 logand logcount
syn keyword tl_keyword contained logior lognot logtest logtrunc
syn keyword tl_keyword contained logxor long long-suffix longlong
syn keyword tl_keyword contained lop lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1
syn keyword tl_keyword contained macrolet madv-dodump madv-dofork madv-dontdump
syn keyword tl_keyword contained madv-dontfork madv-dontneed madv-free madv-hugepage
syn keyword tl_keyword contained madv-hwpoison madv-keeponfork madv-mergeable madv-nohugepage
syn keyword tl_keyword contained madv-normal madv-random madv-remove madv-sequential
syn keyword tl_keyword contained madv-unmergeable madv-willneed madv-wipeonfork madvise
syn keyword tl_keyword contained major make-buf make-buf-stream make-byte-input-stream
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-similar-tree make-string-byte-input-stream make-string-input-stream
syn keyword tl_keyword contained make-string-output-stream make-strlist-input-stream make-strlist-output-stream make-struct
syn keyword tl_keyword contained make-struct-delegate-stream make-struct-type make-sym make-time
syn keyword tl_keyword contained make-time-utc make-trie make-union make-zstruct
syn keyword tl_keyword contained makedev makunbound map-anon map-fixed
syn keyword tl_keyword contained map-growsdown map-huge-mask map-huge-shift map-hugetlb
syn keyword tl_keyword contained map-locked map-nonblock map-noreserve map-populate
syn keyword tl_keyword contained map-private map-shared map-stack mapcar
syn keyword tl_keyword contained mapcar* mapdo mapf maphash
syn keyword tl_keyword contained mappend mappend* maprend maprod
syn keyword tl_keyword contained maprodo mask match match-case
syn keyword tl_keyword contained match-ecase match-error match-fboundp match-fun
syn keyword tl_keyword contained match-regex match-regex-right match-regst match-regst-right
syn keyword tl_keyword contained match-str match-str-tree max mboundp
syn keyword tl_keyword contained md5 md5-begin md5-end md5-hash
syn keyword tl_keyword contained md5-stream member member-if memp
syn keyword tl_keyword contained memq memql memqual meq
syn keyword tl_keyword contained meql mequal merge merge-delete-package
syn keyword tl_keyword contained meth method min minor
syn keyword tl_keyword contained minusp mismatch mkdir mkdtemp
syn keyword tl_keyword contained mkfifo mknod mkstemp mkstring
syn keyword tl_keyword contained mlet mmakunbound mmap mod
syn keyword tl_keyword contained mode-t mprotect ms-async ms-invalidate
syn keyword tl_keyword contained ms-sync msync mul-each mul-each*
syn keyword tl_keyword contained mul-each-prod mul-each-prod* multi multi-sort
syn keyword tl_keyword contained munmap n-choose-k n-perm-k nand
syn keyword tl_keyword contained nandf nconc neg neq
syn keyword tl_keyword contained neql nequal new new*
syn keyword tl_keyword contained nexpand-left nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none nor norf
syn keyword tl_keyword contained not notf nreconc nreverse
syn keyword tl_keyword contained nrot nshuffle nsort nth
syn keyword tl_keyword contained nthcdr nthlast null nullify
syn keyword tl_keyword contained num-chr num-str numberp nzerop
syn keyword tl_keyword contained o-accmode o-append o-async o-cloexec
syn keyword tl_keyword contained o-creat o-direct o-directory o-noatime
syn keyword tl_keyword contained o-noctty o-nofollow o-nonblock o-path
syn keyword tl_keyword contained o-rdonly o-rdwr o-sync o-trunc
syn keyword tl_keyword contained o-wronly oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel off-t offsetof ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-subprocess
syn keyword tl_keyword contained open-tail opendir openlog opip
syn keyword tl_keyword contained opost opt opthelp opthelp-conventions
syn keyword tl_keyword contained opthelp-types or orf pack
syn keyword tl_keyword contained package-alist package-fallback-list package-foreign-symbols package-local-symbols
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained page-size pairlis parenb parmrk
syn keyword tl_keyword contained parodd parse-errors partition partition*
syn keyword tl_keyword contained partition-by partition-if path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-components-safe path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-safe-sticky-dir path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp prot-exec prot-growsdown
syn keyword tl_keyword contained prot-growsup prot-none prot-read prot-write
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained push-after-load pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-sample
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rassoc rassq
syn keyword tl_keyword contained rassql rcomb rcons read
syn keyword tl_keyword contained read-once read-until-match readdir readlink
syn keyword tl_keyword contained real-time-stream-p realpath record-adapter reduce-left
syn keyword tl_keyword contained reduce-right ref refset regex-compile
syn keyword tl_keyword contained regex-from-trie regex-optimize regex-parse regex-prefix-match
syn keyword tl_keyword contained regex-source regexp register-exception-subtypes register-tentative-def
syn keyword tl_keyword contained regsub rehome-sym reject rel-path
syn keyword tl_keyword contained relate release-deferred-warnings remhash remove-if
syn keyword tl_keyword contained remove-if* remove-path remove-path-rec remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-buf replace-env replace-list replace-str
syn keyword tl_keyword contained replace-struct replace-tree-iter replace-vec reset-struct
syn keyword tl_keyword contained rest ret retf return
syn keyword tl_keyword contained return* return-from revappend reverse
syn keyword tl_keyword contained rfind rfind-if right rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlim-infinity rlim-saved-cur
syn keyword tl_keyword contained rlim-saved-max rlimit-as rlimit-core rlimit-cpu
syn keyword tl_keyword contained rlimit-data rlimit-fsize rlimit-nofile rlimit-stack
syn keyword tl_keyword contained rlist rlist* rmdir rmember
syn keyword tl_keyword contained rmember-if rmemq rmemql rmemqual
syn keyword tl_keyword contained rmismatch rot rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scan-until-match
syn keyword tl_keyword contained search search-all search-regex search-regst
syn keyword tl_keyword contained search-str search-str-tree second seek-cur
syn keyword tl_keyword contained seek-end seek-set seek-stream select
syn keyword tl_keyword contained self-load-path self-path separate seq-begin
syn keyword tl_keyword contained seq-next seq-reset seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-key set-left set-mask set-max-depth
syn keyword tl_keyword contained set-max-length set-package-fallback-list set-right set-sig-handler
syn keyword tl_keyword contained set-stack-limit setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setlogmask setpwent setresgid
syn keyword tl_keyword contained setresuid setrlimit setuid seventh
syn keyword tl_keyword contained sh sha256 sha256-begin sha256-end
syn keyword tl_keyword contained sha256-hash sha256-stream shift short
syn keyword tl_keyword contained short-suffix shuffle shut-rd shut-rdwr
syn keyword tl_keyword contained shut-wr sig-abrt sig-alrm sig-atomic-t
syn keyword tl_keyword contained sig-bus sig-check sig-chld sig-cont
syn keyword tl_keyword contained sig-fpe sig-hup sig-ill sig-int
syn keyword tl_keyword contained sig-io sig-iot sig-kill sig-pipe
syn keyword tl_keyword contained sig-poll sig-prof sig-pwr sig-quit
syn keyword tl_keyword contained sig-segv sig-stkflt sig-stop sig-sys
syn keyword tl_keyword contained sig-term sig-trap sig-tstp sig-ttin
syn keyword tl_keyword contained sig-ttou sig-urg sig-usr1 sig-usr2
syn keyword tl_keyword contained sig-vtalrm sig-winch sig-xcpu sig-xfsz
syn keyword tl_keyword contained sign-extend signum sin sinh
syn keyword tl_keyword contained sixth size-t size-vec sizeof
syn keyword tl_keyword contained slet slot slotp slots
syn keyword tl_keyword contained slotset so-acceptconn so-broadcast so-debug
syn keyword tl_keyword contained so-dontroute so-error so-keepalive so-linger
syn keyword tl_keyword contained so-oobinline so-rcvbuf so-rcvlowat so-rcvtimeo
syn keyword tl_keyword contained so-reuseaddr so-sndbuf so-sndlowat so-sndtimeo
syn keyword tl_keyword contained so-type sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-opt sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-opt sock-set-peer sock-shutdown
syn keyword tl_keyword contained sock-stream sock-type socklen-t sol-socket
syn keyword tl_keyword contained some some-false some-true sort
syn keyword tl_keyword contained sort-group source-loc source-loc-str span-str
syn keyword tl_keyword contained special-operator-p special-var-p spl splice
syn keyword tl_keyword contained split split* split-str split-str-set
syn keyword tl_keyword contained spln sqrt square ssize-t
syn keyword tl_keyword contained sspl sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-d str-in6addr str-in6addr-net
syn keyword tl_keyword contained str-inaddr str-inaddr-net str-s str-seq
syn keyword tl_keyword contained str< str<= str= str>
syn keyword tl_keyword contained str>= stream-get-prop stream-set-prop streamp
syn keyword tl_keyword contained strerror string-extend string-finish string-get-code
syn keyword tl_keyword contained string-lt string-set-code stringp strsignal
syn keyword tl_keyword contained struct struct-from-args struct-from-plist struct-get-initfun
syn keyword tl_keyword contained struct-get-postinitfun struct-set-initfun struct-set-postinitfun struct-type
syn keyword tl_keyword contained struct-type-name struct-type-p structp sub
syn keyword tl_keyword contained sub-buf sub-list sub-str sub-tree
syn keyword tl_keyword contained sub-vec subq subql subqual
syn keyword tl_keyword contained subst subtypep succ sum
syn keyword tl_keyword contained sum-each sum-each* sum-each-prod sum-each-prod*
syn keyword tl_keyword contained super super-method suspend swap
syn keyword tl_keyword contained symacrolet symbol-function symbol-macro symbol-name
syn keyword tl_keyword contained symbol-package symbol-value symbolp symdiff
syn keyword tl_keyword contained symlink sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian%
syn keyword tl_keyword contained sys:%bin-op% sys:%bin-ops% sys:%block-using-funs% sys:%call-op%
syn keyword tl_keyword contained sys:%const-foldable% sys:%const-foldable-funs% sys:%dbg-command-env% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:*dedup*
syn keyword tl_keyword contained sys:*emit* sys:*eval* sys:*in-compilation-unit* sys:*lazy-streams*
syn keyword tl_keyword contained sys:*load-recursive* sys:*load-time* sys:*match-form* sys:*op-ctx*
syn keyword tl_keyword contained sys:*pl-env* sys:*pl-form* sys:*top-level* sys:*trace-hash*
syn keyword tl_keyword contained sys:*trace-level* sys:*unchecked-calls* sys:abscond* sys:abscond-from
syn keyword tl_keyword contained sys:add-neg-parens sys:analyze-argtypes sys:analyze-params sys:apply
syn keyword tl_keyword contained sys:arith-each sys:asm-error sys:assumed-fun sys:autoload-try-fun
syn keyword tl_keyword contained sys:awk%--rng sys:awk%--rng+ sys:awk%--rng- sys:awk%-rng+
syn keyword tl_keyword contained sys:awk%rng+ sys:awk-code-move-check sys:awk-error sys:awk-expander
syn keyword tl_keyword contained sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env sys:awk-mac-let
syn keyword tl_keyword contained sys:awk-redir sys:awk-symac-let sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bindable-check
syn keyword tl_keyword contained sys:bits sys:bits-to-obj sys:blk sys:build-expander
syn keyword tl_keyword contained sys:capture-cont sys:catch sys:check sys:check-end
syn keyword tl_keyword contained sys:check-slot sys:check-struct sys:check-sym sys:circref
syn keyword tl_keyword contained sys:comma-positions sys:compat sys:compile-and-match sys:compile-as-match
syn keyword tl_keyword contained sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match sys:compile-file-conditionally
syn keyword tl_keyword contained sys:compile-hash-match sys:compile-loop-match sys:compile-match sys:compile-new-var-match
syn keyword tl_keyword contained sys:compile-not-match sys:compile-or-match sys:compile-predicate-match sys:compile-range-match
syn keyword tl_keyword contained sys:compile-require-match sys:compile-scan-match sys:compile-struct-match sys:compile-var-match
syn keyword tl_keyword contained sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings sys:conv
syn keyword tl_keyword contained sys:conv-expand sys:conv-expand-sym sys:conv-let sys:ctx-form
syn keyword tl_keyword contained sys:ctx-name sys:dbg-all sys:dbg-backtrace sys:dbg-clear
syn keyword tl_keyword contained sys:dbg-enable sys:dbg-restore sys:dbg-set sys:dbg-step
syn keyword tl_keyword contained sys:debugger sys:dedup sys:dedup-labels sys:deffi-cb-expander
syn keyword tl_keyword contained sys:define-method sys:defset-expander sys:defset-expander-simple sys:detached-run
syn keyword tl_keyword contained sys:dig sys:disassemble-cdf sys:dlib-expr sys:do-conv
syn keyword tl_keyword contained sys:do-copy-obj sys:do-path-test sys:do-tweak-obj sys:doc-syms
syn keyword tl_keyword contained sys:dump-to-tlo sys:dvbind sys:dwim-del sys:dwim-set
syn keyword tl_keyword contained sys:dyn-size sys:each-match-expander sys:each-op sys:early-peephole
syn keyword tl_keyword contained sys:enc-small-op sys:ensure-op-arg sys:env-to-let sys:eq-comparable
syn keyword tl_keyword contained sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err sys:expand-and
syn keyword tl_keyword contained sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro sys:expand-defsymacro
syn keyword tl_keyword contained sys:expand-defun sys:expand-defvarl sys:expand-dohash sys:expand-doloop
syn keyword tl_keyword contained sys:expand-each sys:expand-each-prod sys:expand-each-prod* sys:expand-handle
syn keyword tl_keyword contained sys:expand-lambda-match sys:expand-neg-parens sys:expand-params sys:expand-pic
syn keyword tl_keyword contained sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas sys:expand-quasi
syn keyword tl_keyword contained sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods sys:expand-sym-ref
syn keyword tl_keyword contained sys:expr sys:fbind sys:find-parent sys:fixed-point
syn keyword tl_keyword contained sys:flatten-or sys:fmt-flex sys:fmt-join sys:fmt-simple
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-buf-common
syn keyword tl_keyword contained sys:get-fun-getter-setter sys:get-mb sys:get-param-info sys:get-place-macro
syn keyword tl_keyword contained sys:get-var-list sys:get-vars sys:get-vb sys:getopts-error
syn keyword tl_keyword contained sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond sys:ign-notfound
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:insert-commas sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list
syn keyword tl_keyword contained sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind sys:lisp1-setq
syn keyword tl_keyword contained sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit
syn keyword tl_keyword contained sys:loc sys:loosen sys:mac-env-flatten sys:make-anon-package
syn keyword tl_keyword contained sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:mark-special sys:match-pat-error sys:misleading-ref-check sys:name-str
syn keyword tl_keyword contained sys:new-expander sys:new-type sys:non-triv-pat-p sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-compile-streams sys:open-url
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opt-dash
syn keyword tl_keyword contained sys:opt-err sys:orig-form sys:os-symbol sys:param-check
syn keyword tl_keyword contained sys:parse-compound-operand sys:parse-lambda-match-clause sys:parse-operand sys:pat-len
syn keyword tl_keyword contained sys:path-access sys:path-examine sys:path-simplify sys:path-split
syn keyword tl_keyword contained sys:path-test-mode sys:path-test-type sys:path-volume sys:pic-join-opt
syn keyword tl_keyword contained sys:pl-expand sys:placelet-1 sys:print-backtrace sys:propagate-ancestor
syn keyword tl_keyword contained sys:propagate-perms sys:prune-missing-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp
syn keyword tl_keyword contained sys:reduce-or sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor
syn keyword tl_keyword contained sys:repl sys:rewrite sys:rewrite-case sys:rplaca
syn keyword tl_keyword contained sys:rplacd sys:rslotset sys:rt-assert-fail sys:rt-defmacro
syn keyword tl_keyword contained sys:rt-defsymacro sys:rt-defun sys:rt-defv sys:rt-defvarl
syn keyword tl_keyword contained sys:rt-load-for sys:rt-pprof sys:safe-abs-path sys:safe-const-eval
syn keyword tl_keyword contained sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:setq sys:setqf sys:simplify-or sys:slot-types
syn keyword tl_keyword contained sys:small-op-p sys:small-op-to-sym sys:splice sys:static-slot-types
syn keyword tl_keyword contained sys:str-inaddr-net-impl sys:struct-lit sys:stuff-key-params sys:subst-preserve
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:transform-qquote sys:translate-hash-bang
syn keyword tl_keyword contained sys:tree-construct sys:trfm sys:true-const-p sys:txr-case-impl
syn keyword tl_keyword contained sys:typecase-expander sys:unquote sys:untrace sys:upenv
syn keyword tl_keyword contained sys:uw-block sys:uw-captured-block sys:uw-catch sys:uw-cont-copy
syn keyword tl_keyword contained sys:uw-eval sys:uw-expand sys:uw-fcall sys:uw-guard
syn keyword tl_keyword contained sys:uw-handle sys:uw-menv sys:var sys:var-pat-p
syn keyword tl_keyword contained sys:vars-check sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode
syn keyword tl_keyword contained sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec
syn keyword tl_keyword contained sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap sys:when-exprs-match
syn keyword tl_keyword contained sys:with-disabled-debugging sys:with-dyn-lib-check syslog system-package
syn keyword tl_keyword contained t tab0 tab1 tab2
syn keyword tl_keyword contained tab3 tabdly tagbody tailp
syn keyword tl_keyword contained take take-until take-while tan
syn keyword tl_keyword contained tanh tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcp-nodelay tcsadrain
syn keyword tl_keyword contained tcsaflush tcsanow tcsendbreak tcsetattr
syn keyword tl_keyword contained tentative-def-exists tenth test-clear test-clear-dirty
syn keyword tl_keyword contained test-dec test-dirty test-inc test-neq-set-indent-mode
syn keyword tl_keyword contained test-set test-set-indent-mode tf third
syn keyword tl_keyword contained throw throwf time time-fields-local
syn keyword tl_keyword contained time-fields-utc time-nsec time-parse time-parse-local
syn keyword tl_keyword contained time-parse-utc time-string-local time-string-utc time-struct-local
syn keyword tl_keyword contained time-struct-utc time-t time-usec tmpfile
syn keyword tl_keyword contained tnode tnodep to tofloat
syn keyword tl_keyword contained tofloatz toint tointz tojson
syn keyword tl_keyword contained tok tok-str tok-where tokn
syn keyword tl_keyword contained tostop tostring tostringp touch
syn keyword tl_keyword contained tprint trace transpose tree
syn keyword tl_keyword contained tree-begin tree-bind tree-case tree-clear
syn keyword tl_keyword contained tree-count tree-del-min tree-del-min-node tree-delete
syn keyword tl_keyword contained tree-delete-node tree-delete-specific-node tree-find tree-insert
syn keyword tl_keyword contained tree-insert-node tree-lookup tree-lookup-node tree-min
syn keyword tl_keyword contained tree-min-node tree-next tree-peek tree-reset
syn keyword tl_keyword contained tree-root treep trie-add trie-compress
syn keyword tl_keyword contained trie-lookup-begin trie-lookup-feed-char trie-value-at trim-left
syn keyword tl_keyword contained trim-long-suffix trim-path-seps trim-right trim-short-suffix
syn keyword tl_keyword contained trim-str true trunc trunc-rem
syn keyword tl_keyword contained truncate-stream tuples tuples* txr-case
syn keyword tl_keyword contained txr-exe-path txr-if txr-parse txr-path
syn keyword tl_keyword contained txr-version txr-when typecase typedef
syn keyword tl_keyword contained typeof typep ubit uchar
syn keyword tl_keyword contained uid-t uint uint-buf uint-carray
syn keyword tl_keyword contained uint-ptr-t uint16 uint32 uint64
syn keyword tl_keyword contained uint8 uintmax-t ulong ulonglong
syn keyword tl_keyword contained umask umeth umethod uname
syn keyword tl_keyword contained unget-byte unget-char uni unintern
syn keyword tl_keyword contained union union-get union-in union-members
syn keyword tl_keyword contained union-out union-put uniq unique
syn keyword tl_keyword contained unless unquote unsetenv until
syn keyword tl_keyword contained until* untrace unuse-package unuse-sym
syn keyword tl_keyword contained unwind-protect upcase-str upd update
syn keyword tl_keyword contained uref url-decode url-encode use
syn keyword tl_keyword contained use-package use-sym user-package ushort
syn keyword tl_keyword contained usl usleep uslot utimes
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-seq vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vm-fun-p
syn keyword tl_keyword contained vmin void vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait wchar weave when
syn keyword tl_keyword contained when-match whena whenlet where
syn keyword tl_keyword contained while while* while-match while-match-case
syn keyword tl_keyword contained while-true-match-case whilet width width-check
syn keyword tl_keyword contained window-map window-mapdo window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d wstr-s xcase yield
syn keyword tl_keyword contained yield-from zap zarray zchar
syn keyword tl_keyword contained zero-fill zerop zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output rebind rep
syn keyword txr_keyword contained repeat require set single
syn keyword txr_keyword contained skip some text throw
syn keyword txr_keyword contained trailer try until var
syn match txr_at "\(@[ \t]*\)" nextgroup=txr_error,txr_atat,txr_comment,txr_contin,txr_char,txr_error,txr_char,txr_regdir,txr_variable,txr_splicevar,txr_metanum,txr_directive,txr_bracevar,txr_bracket
syn match txr_error "[*]\?[\t ]*." contained
syn match txr_atat "@" contained
syn match txr_comment "[#;].*" contained
syn match txr_contin "\\$" contained
syn match txr_char "\\." contained
syn match txr_error "\\[xo]" contained
syn match txr_char "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_char "\\[0-7]\+;\?" contained
syn match txr_regdir "/\(\\/\|[^/]\|\\\n\)*/" contained
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+" contained
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match tl_ident ":" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive contained matchgroup=Delimiter start="(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,etypecase,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
